net.dontdrinkandroot.wicket.resource

## Class FileThumbnailResource

- java.lang.Object
- - org.apache.wicket.request.resource.AbstractResource
  - - net.dontdrinkandroot.wicket.resource.AbstractFileThumbnailResource
    - - net.dontdrinkandroot.wicket.resource.FileThumbnailResource

All Implemented Interfaces:
  Serializable, org.apache.wicket.request.resource.IResource, org.apache.wicket.util.io.IClusterable

    public class FileThumbnailResource
    extends AbstractFileThumbnailResource

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.request.resource.AbstractResource

`org.apache.wicket.request.resource.AbstractResource.ResourceResponse, org.apache.wicket.request.resource.AbstractResource.WriteCallback`

### Nested classes/interfaces inherited from interface org.apache.wicket.request.resource.IResource

`org.apache.wicket.request.resource.IResource.Attributes`

### Field Summary

### Fields inherited from class org.apache.wicket.request.resource.AbstractResource

`INTERNAL_HEADERS`

### Constructor Summary

Constructors
Constructor and Description
`FileThumbnailResource(File file)`
`FileThumbnailResource(File file, int width)`

### Method Summary

Methods
`protected File` `resolveFile(org.apache.wicket.request.resource.IResource.Attributes attributes)`
`protected Integer` `resolveWidth(org.apache.wicket.request.resource.IResource.Attributes attributes)`

### Methods inherited from class net.dontdrinkandroot.wicket.resource.AbstractFileThumbnailResource

`newResourceResponse`

### Methods inherited from class org.apache.wicket.request.resource.AbstractResource

`configureCache, flushResponseAfterHeaders, getCachingStrategy, respond, setResponseHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileThumbnailResource

    public FileThumbnailResource(File file)

#### FileThumbnailResource

    public FileThumbnailResource(File file,
                         int width)

### Method Detail

#### resolveFile

    protected File resolveFile(org.apache.wicket.request.resource.IResource.Attributes attributes)

Specified by:
  `resolveFile` in class `AbstractFileThumbnailResource`

#### resolveWidth

    protected Integer resolveWidth(org.apache.wicket.request.resource.IResource.Attributes attributes)

Specified by:
  `resolveWidth` in class `AbstractFileThumbnailResource`